BEGIN {
    FS="\t"
    tag_index = 1
}
NR>1{
    print NR"# "$0
    n = split($5, t, ",")
    #print "n: "n
    for (i = 1; i <= n; i++) {
        tag = t[i]
        #print "tag["i"]: "tag
        gsub(/^[ \t]+|[ \t]+$/, "", tag)
        id = get_index(taglist, tag, tagcount)
        if( id < 0){
            # unkown tag, add it to the list
            taglist[tag_index] = tag
            tagcount[tag_index] = 1
            id = tag_index
            tag_index++
        }
        if( tag == "" ) {
                continue
        }
        print "INSERT INTO taggings (tag_id, taggable_id, taggable_type, context, created_at) VALUES("id", "$3", 'Issue', 'tags', NOW());" > "taggings.sql"
    }
    
}
END {
    for ( k in taglist){
        print "INSERT INTO tags (id, name, taggings_count) VALUES("k", '"taglist[k]"', "tagcount[k]");" > "tags.sql"
        
    }
}

function get_index(array, value, count_array){
    for ( k in array) {
        if(array[k] == value){
           count_array[k] = count_array[k] + 1
           return k
        } 
    }
    
    return -1
}

# The following  SQL statement could be used to update the issue journal, but this is not necessary:
# ----
# insert into journal_details (journal_id, property, prop_key, old_value, value) (
#    select jd.journal_id, 'attr', 'tag_list', null, 'swagger, memory'  from journals j join journal_details jd on j.id=jd.journal_id
#        where j.journalized_id = 4414 order by j.created_on DESC LIMIT 1
#    )
# ----